'use strict';

const IntlFormatted = require('./chunks/IntlFormatted.cjs');
const _Vue = require('vue');
const vue = require('./shared/vue-intl-controller.27d34bfc.cjs');

const Fragment = _Vue.defineComponent({
  functional: true,
  props: {
    of: {
      type: [Array, Object],
      validate(value) {
        return Array.isArray(value) ? value.every(it => vue.isVNode(it)) : vue.isVNode(value);
      },
      default() {
        return [];
      }
    }
  },
  render(_, ctx) {
    const children = ctx.props.of;
    return Array.isArray(children) ? children : [children];
  }
});

exports.IntlFormatted = IntlFormatted.IntlFormatted;
exports.Fragment = Fragment;
