export { IntlFormatted } from './chunks/IntlFormatted.mjs';
import { defineComponent } from 'vue';
import { i as isVNode } from './shared/vue-intl-controller.1929a7f2.mjs';

const Fragment = defineComponent({
  functional: true,
  props: {
    of: {
      type: [Array, Object],
      validate(value) {
        return Array.isArray(value) ? value.every(it => isVNode(it)) : isVNode(value);
      },
      default() {
        return [];
      }
    }
  },
  render(_, ctx) {
    const children = ctx.props.of;
    return Array.isArray(children) ? children : [children];
  }
});

export { Fragment };
