'use strict';

const vue = require('./shared/vue-intl-controller.27d34bfc.cjs');
require('vue');

function useTranslate() {
  const t = vue.getInstance().$t;
  if (t === null) {
    throw new Error('Cannot retrieve translate function for the current context');
  }
  return t;
}

function useFormatters() {
  const fmt = vue.getInstance().$fmt;
  if (fmt == null) {
    throw new Error('Cannot retrieve formatter aliases for the current context');
  }
  return fmt;
}

exports.useFormatters = useFormatters;
exports.useTranslate = useTranslate;
