import { g as getInstance } from './shared/vue-intl-controller.1929a7f2.mjs';
import 'vue';

function useTranslate() {
  const t = getInstance().$t;
  if (t === null) {
    throw new Error('Cannot retrieve translate function for the current context');
  }
  return t;
}

function useFormatters() {
  const fmt = getInstance().$fmt;
  if (fmt == null) {
    throw new Error('Cannot retrieve formatter aliases for the current context');
  }
  return fmt;
}

export { useFormatters, useTranslate };
