'use strict';

const _Vue = require('vue');

var _Object$getPrototypeO, _Object$getPrototypeO2;
const Vue = (() => {
  const v = _Vue; // ????
  return 'default' in v ? v.default : v;
})();
/**
 * @returns Returns current Vue instance.
 * @throws If Vue instance is not available in the current context.
 */
function getInstance() {
  const instance = _Vue.getCurrentInstance();
  if (instance == null) {
    throw new Error('Vue instance is not available in this context');
  }
  return instance.proxy;
}
const VNode = (_Object$getPrototypeO = (_Object$getPrototypeO2 = Object.getPrototypeOf(Vue.prototype._e())) === null || _Object$getPrototypeO2 === void 0 ? void 0 : _Object$getPrototypeO2.constructor) !== null && _Object$getPrototypeO !== void 0 ? _Object$getPrototypeO : null;
if (VNode == null) {
  throw new Error('Something went terribly wrong because constructor for VNode cannot be found anymore');
}

/**
 * Checks whether the provided value is an instance of VNode.
 *
 * @param value Value to check.
 * @returns `true` if value is a VNode, otherwise `false`.
 */
function isVNode(value) {
  return value instanceof VNode;
}

/**
 * Creates VNode specifically for text.
 *
 * @param value Text inside the node, any passed value will be converted to
 *   string using `String(value)`.
 * @returns VNode or text.
 */
function createTextNode(value) {
  return Vue.prototype._v(value);
}

/**
 * An alias for Vue's watch method with pre-defined options to watch the
 * provided source and call callback immediately after source changes or watcher
 * is initialised, in synchronous manner.
 *
 * @param source Observing source.
 * @param callback Callback to be called on source change.
 * @param options Options for observer.
 * @returns A function to stop watching.
 */
function observe(source, callback, options) {
  return _Vue.watch(source, callback, {
    ...options,
    immediate: true,
    flush: 'sync'
  });
}

exports.createTextNode = createTextNode;
exports.getInstance = getInstance;
exports.isVNode = isVNode;
exports.observe = observe;
