import { P as PreferredLocalesSource } from '../sources-02c94682.js';
import 'vue';

type AcceptedLanguage = [language: string, quality: number];
/**
 * Parses value for the `Accept-Language` header according to specification.
 *
 * @example
 *   parseHeaderValue('en-GB;q=0.9, *;q=0.7, de;q=0.8, en-US')
 *   // => [['en-US', 1],
 *   //     ['en-GB', 0.9],
 *   //     ['de', 0.8],
 *   //     ['*', 0.7]]
 *
 * @param value Value for the header.
 * @returns An array of {@link AcceptedLanguage} sorted by the quality.
 */
declare function parseHeaderValue(value: string): AcceptedLanguage[];
declare function useAcceptLanguageHeader(headerValue?: string | null): PreferredLocalesSource;

export { parseHeaderValue, useAcceptLanguageHeader };
